Loading...
Searching...
No Matches
COMPS_DocEnv properties setters

## Functions

void | comps_docenv_set_id (COMPS_DocEnv *env, char *id, char copy)
void | comps_docenv_set_name (COMPS_DocEnv *env, char *name, char copy)
void | comps_docenv_set_desc (COMPS_DocEnv *env, char *desc, char copy)
void | comps_docenv_set_display_order (COMPS_DocEnv *env, int display_order, bool unset)

## Detailed Description

## Function Documentation

## comps_docenv_set_desc()

void comps_docenv_set_desc | ( | COMPS_DocEnv * | env,
|  | char * | desc,
|  | char | copy )

COMPS_DocEnv description setter

Parameters

  obj | COMPS_DocEnv object
  desc | COMPS_Str object representing description

Warning
  setter doesn't increment reference counter of desc object

## comps_docenv_set_display_order()

void comps_docenv_set_display_order | ( | COMPS_DocEnv * | env,
|  | int | display_order,
|  | bool | unset )

COMPS_DocEnv display order setter

Parameters

  obj | COMPS_DocEnv object
  display_order | COMPS_Num object representing display order

Warning
  setter doesn't increment reference counter of display_order object

## comps_docenv_set_id()

void comps_docenv_set_id | ( | COMPS_DocEnv * | env,
|  | char * | id,
|  | char | copy )

COMPS_DocEnv id setter

Parameters

  obj | COMPS_DocEnv object
  id | COMPS_Str object representing id

Warning
  setter doesn't increment reference counter of id object

## comps_docenv_set_name()

void comps_docenv_set_name | ( | COMPS_DocEnv * | env,
|  | char * | name,
|  | char | copy )

COMPS_DocEnv name setter

Parameters

  obj | COMPS_DocEnv object
  name | COMPS_Str object representing name

Warning
  setter doesn't increment reference counter of name object